#
# Please do not update/rebuild/touch this package before asking first
# to mikala and/or neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Name:           yakuake
Version: 20.12.0
Release:        %mkrel %{rel}
Summary:        Very powerful Quake style Konsole
Group:          Graphical desktop/KDE
License:        GPLv2+
Url:            https://kde.org/applications/system/org.kde.yakuake
Source0:        https://download.kde.org/stable/applications/%{version}/src/%{name}-%{version}.tar.xz

BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5X11Extras)

BuildRequires:  kf5-macros
BuildRequires:  cmake(KF5Archive)
BuildRequires:  cmake(KF5Config)
BuildRequires:  cmake(KF5CoreAddons)
BuildRequires:  cmake(KF5Crash)
BuildRequires:  cmake(KF5DBusAddons)
BuildRequires:  cmake(KF5GlobalAccel)
BuildRequires:  cmake(KF5I18n)
BuildRequires:  cmake(KF5IconThemes)
BuildRequires:  cmake(KF5KIO)
BuildRequires:  cmake(KF5NewStuff)
BuildRequires:  cmake(KF5Notifications)
BuildRequires:  cmake(KF5NotifyConfig)
BuildRequires:  cmake(KF5Parts)
BuildRequires:  cmake(KF5WidgetsAddons)
BuildRequires:  cmake(KF5WindowSystem)

BuildRequires:  cmake(KF5Wayland)

Requires:       konsole
Obsoletes:      kde4-%name <= 2.9.2
Provides:       kde4-%name = %version

%description
Yakuake is a Quake-style terminal emulator based on KDE Konsole technology.

%files -f %{name}.lang
%doc AUTHORS ChangeLog README.md
%{_kf5_metainfodir}/org.kde.%{name}.appdata.xml
%{_kf5_applicationsdir}/org.kde.%{name}.desktop
%{_kf5_bindir}/%{name}
%{_kf5_datadir}/%{name}/
%{_kf5_datadir}/dbus-1/services/org.kde.%{name}.service
%{_kf5_iconsdir}/hicolor/*/apps/%{name}.png
%{_kf5_knotificationsdir}/%{name}.notifyrc
%{_kf5_datadir}/knsrcfiles/%{name}.knsrc

#--------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf5
%cmake_build

%install
%cmake_install

%find_lang %{name}


%changelog
* Sun Dec 13 2020 neoclust <neoclust> 20.12.0-1.mga8
+ Revision: 1656185
- New version 20.12.0

* Mon Nov 09 2020 neoclust <neoclust> 20.08.3-1.mga8
+ Revision: 1644103
- New version 20.08.3

* Mon Oct 12 2020 neoclust <neoclust> 20.08.2-1.mga8
+ Revision: 1633922
- New version 20.08.2

* Wed Sep 16 2020 neoclust <neoclust> 20.08.1-1.mga8
+ Revision: 1627161
- New version 20.08.1

* Tue Aug 18 2020 neoclust <neoclust> 20.08.0-1.mga8
+ Revision: 1615304
- New version 20.08.0

* Fri Jul 10 2020 neoclust <neoclust> 20.04.3-1.mga8
+ Revision: 1604226
- New version 20.04.3

* Fri Jun 19 2020 neoclust <neoclust> 20.04.2-1.mga8
+ Revision: 1596963
- New version 20.04.2

* Sun May 17 2020 neoclust <neoclust> 20.04.1-1.mga8
+ Revision: 1584973
- New version 20.04.1

* Fri Apr 17 2020 neoclust <neoclust> 20.04.0-1.mga8
+ Revision: 1568240
- New version 20.04.0

* Tue Mar 24 2020 neoclust <neoclust> 19.12.3-1.mga8
+ Revision: 1559430
- New version 19.12.3

* Tue Feb 18 2020 umeabot <umeabot> 19.12.2-2.mga8
+ Revision: 1541059
- Mageia 8 Mass Rebuild

* Thu Feb 13 2020 neoclust <neoclust> 19.12.2-1.mga8
+ Revision: 1513405
- New version 19.12.2
+ wally <wally>
- build with new cmake macros

* Thu Dec 19 2019 daviddavid <daviddavid> 19.12.0-2.mga8
+ Revision: 1468874
- enable KF5Wayland support

* Sat Dec 14 2019 neoclust <neoclust> 19.12.0-1.mga8
+ Revision: 1467063
- New version 19.12.0
- New version 19.11.90

* Tue Nov 05 2019 neoclust <neoclust> 19.08.3-1.mga8
+ Revision: 1458008
- New version 19.08.3

* Sun Sep 29 2019 daviddavid <daviddavid> 19.08.1-1.mga8
+ Revision: 1448031
- New version 19.08.1 (says hello in kde apps stack)

* Tue Apr 02 2019 umeabot <umeabot> 3.0.5-3.mga7
+ Revision: 1385311
- Qt5 Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 3.0.5-2.mga7
+ Revision: 1302014
- Mageia 7 Mass Rebuild

* Sat Mar 31 2018 daviddavid <daviddavid> 3.0.5-1.mga7
+ Revision: 1213758
- new version: 3.0.5

* Fri Apr 07 2017 akien <akien> 3.0.4-1.mga6
+ Revision: 1096063
- Version 3.0.4

* Sun Apr 02 2017 akien <akien> 3.0.3-1.mga6
+ Revision: 1095674
- Version 3.0.3

* Thu Mar 03 2016 akien <akien> 3.0.2-1.mga6
+ Revision: 985065
- Version 3.0.2

* Wed Mar 02 2016 akien <akien> 3.0.0-0.git20160301.1.mga6
+ Revision: 983429
- New snapshot, fixes bko#336228

* Sun Jan 17 2016 akien <akien> 3.0.0-0.git20160116.1.mga6
+ Revision: 924790
- New snapshot

* Wed Aug 12 2015 neoclust <neoclust> 3.0.0-0.git20150801.2.mga6
+ Revision: 864099
- Rebuild against new KF5

* Sun Jul 26 2015 neoclust <neoclust> 3.0.0-0.git20150801.1.mga6
+ Revision: 857819
- Add snapshot for kf5 version

* Wed Oct 15 2014 umeabot <umeabot> 2.9.9-5.mga5
+ Revision: 741201
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.9.9-4.mga5
+ Revision: 690820
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 2.9.9-3.mga4
+ Revision: 520889
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 2.9.9-2.mga3
+ Revision: 387543
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Oct 19 2012 fwang <fwang> 2.9.9-1.mga3
+ Revision: 308119
- update file list
- new version 2.9.9

* Tue Feb 15 2011 mikala <mikala> 2.9.8-1.mga1
+ Revision: 51818
- Remove BuildRoot
- imported package yakuake


* Fri Jan 28 2011 Funda Wang <fwang@mandriva.org> 2.9.8-1mdv2011.0
+ Revision: 633559
- new version 2.9.8

* Sat Jul 17 2010 Funda Wang <fwang@mandriva.org> 2.9.7-1mdv2011.0
+ Revision: 554486
- update to new version 2.9.7

  + Nicolas Lécureuil <nlecureuil@mandriva.com>
    - Clean spec file
    - Remove old macro

* Tue May 19 2009 Funda Wang <fwang@mandriva.org> 2.9.6-1mdv2010.0
+ Revision: 377593
- New version 2.9.6

* Mon May 11 2009 Funda Wang <fwang@mandriva.org> 2.9.5-1mdv2010.0
+ Revision: 374112
- New version 2.9.5

* Thu Sep 04 2008 Frederik Himpe <fhimpe@mandriva.org> 2.9.4-1mdv2009.0
+ Revision: 280880
- Update to new version 2.9.4

* Fri Jul 04 2008 Funda Wang <fwang@mandriva.org> 2.9.3-3mdv2009.0
+ Revision: 231541
- rebuild

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Fri Jun 06 2008 Funda Wang <fwang@mandriva.org> 2.9.3-2mdv2009.0
+ Revision: 216396
- compile using undefined
- New version 2.9.3

  + Nicolas Lécureuil <nlecureuil@mandriva.com>
    - Fix provides // Obsoletes
    - Rename spec file and fix spec file
    - Use kde4 app by default

* Wed Apr 23 2008 Funda Wang <fwang@mandriva.org> 2.9.2-1mdv2009.0
+ Revision: 196906
- New version 2.9.2

* Tue Apr 15 2008 Funda Wang <fwang@mandriva.org> 2.9.1-1mdv2009.0
+ Revision: 193699
- New version 2.9.1

* Sun Mar 02 2008 Funda Wang <fwang@mandriva.org> 2.9-1mdv2008.1
+ Revision: 177533
- New version 2.9

* Fri Feb 08 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 2.9-0.beta1.2mdv2008.1
+ Revision: 164306
- Add Require for kde4-konsole ( rapsys )
  Fix attr ( rapsys )
  Change spec file to kde policy

* Sun Jan 20 2008 Funda Wang <fwang@mandriva.org> 2.9-0.beta1.1mdv2008.1
+ Revision: 155239
- fix file list
- Import SOURCE and SPEC
- Created package structure for kde4-yakuake.



* Wed Mar 22 2006 Lenny Cartier <lenny@mandriva.com> 2.7.5-1mdk
- 2.7.5

* Sat Oct 22 2005 Christiaan Welvaart <cjw@daneel.dyndns.org> 2.7.3-1mdk
- 2.7.3

* Mon Oct 10 2005 Christiaan Welvaart <cjw@daneel.dyndns.org> 2.6-2mdk
- fix file permissions and icons

* Sun Oct 09 2005 Christiaan Welvaart <cjw@daneel.dyndns.org> 2.6-1mdk
- from Vicente Olivert <peratu@gmail.com>
  - first mdk release
